Skip to main content
`Ctrl`+`K`

# KSPMonitorSAWsCreate

create an SAWs monitor context for `KSP`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMonitorSAWsCreate(KSP ksp, void **ctx)

Collective

## Input Parameter

- ksp - `KSP` to monitor

## Output Parameter

- ctx - context for monitor

## See Also

KSP: Linear System Solvers, `KSP`, `KSPMonitorSet()`, `KSPMonitorSAWs()`, `KSPMonitorSAWsDestroy()`

## Level

developer

## Location

src/ksp/ksp/interface/saws/kspsaws.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages